import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/data_display/medical/medical_profile_item.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/transitions/fade_page.dart';
import 'package:flutter/material.dart';

import 'health_converter/blood_cholesterol.dart';
import 'health_converter/blood_sugar.dart';
import 'health_converter/triglycerides.dart';

class HealthConverter extends StatefulWidget {
  @override
  _HealthConverterState createState() => _HealthConverterState();
}

class _HealthConverterState extends State<HealthConverter> {
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      isShowAppBar: true,
      isShowDecPage: false,
      appBarTitle: TranslationBase.of(context).converters,
      body: Column(
        children: [
          Container(
            width: double.infinity,
            height: 30,
          ),
          Row(
            children: [
              Expanded(
                flex: 1,
                child: InkWell(
                  onTap: () {
                    Navigator.push(
                      context,
                      FadePage(page: BloodSugar()),
                    );
                  },
                  child: MedicalProfileItem(
                    title: TranslationBase.of(context).bloodSugar,
                    imagePath: 'blood_sugar_icon.png',
                    subTitle: TranslationBase.of(context).sugar,
                  ),
                ),
              ),
              Expanded(
                flex: 1,
                child: InkWell(
                  onTap: () {
                    Navigator.push(
                      context,
                      FadePage(
                        page: BloodCholesterol(),
                      ),
                    );
                  },
                  child: MedicalProfileItem(
                    title: TranslationBase.of(context).bloodCholesterol,
                    imagePath: 'blood_cholesterol_icon.png',
                    subTitle: TranslationBase.of(context).cholesterol,
                  ),
                ),
              ),
            ],
          ),
          Row(
            children: [
              Expanded(
                flex: 1,
                child: InkWell(
                  onTap: () {
                    Navigator.push(
                      context,
                      FadePage(
                        page: Triglycerides(),
                      ),
                    );
                  },
                  child: MedicalProfileItem(
                    title: TranslationBase.of(context).triglycerides,
                    imagePath: 'triglycerides_blood_icon.png',
                    subTitle: TranslationBase.of(context).fatInBlood,
                  ),
                ),
              ),
              Expanded(
                flex: 1,
                child: Container(),
              ),
            ],
          )
        ],
      ),
    );
  }
}
